package com.yihu.jw.entity.door;


import com.yihu.jw.entity.BaseIdentityEntity;

import javax.persistence.Entity;
import javax.persistence.SequenceGenerator;
import javax.persistence.Table;

/**
 * Created by zdm on 2019/3/13.
 * 上门服务凭证
 */
@Entity
@Table(name = "wlyy_door_service_voucher")
@SequenceGenerator(name="id_generated", sequenceName="wlyy_door_service_voucher")
public class WlyyDoorServiceVoucherDo extends BaseIdentityEntity {
    /**上门服务申请审核id*/
    private Long serviceId;
    /**居民code*/
    private String patientCode;
    /**居民姓名*/
    private String patientName;
    /** 人群类型:1残疾人，2肺结核患者，3残疾人，3计生特殊家庭，4重性精神病,5失能/半失能老人,6其他*/
    private String type;
    /**
     * 人群类型值
     */
    private String typeValue;
    /**凭证地址*/
    private String image;
    /**是否有效 0失效、1有效*/
    private Integer status;
    /**排序*/
    private Integer sort;

    public Long getServiceId() {
        return serviceId;
    }

    public void setServiceId(Long serviceId) {
        this.serviceId = serviceId;
    }

    public String getPatientCode() {
        return patientCode;
    }

    public void setPatientCode(String patientCode) {
        this.patientCode = patientCode;
    }

    public String getPatientName() {
        return patientName;
    }

    public void setPatientName(String patientName) {
        this.patientName = patientName;
    }

    public String getType() {
        return type;
    }

    public void setType(String type) {
        this.type = type;
    }

    public String getImage() {
        return image;
    }

    public void setImage(String image) {
        this.image = image;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getSort() {
        return sort;
    }

    public void setSort(Integer sort) {
        this.sort = sort;
    }

    public String getTypeValue() {
        return typeValue;
    }

    public void setTypeValue(String typeValue) {
        this.typeValue = typeValue;
    }
}
